Bug 1264643 - Disk move/migrate dialogues inconsistent
Disk move/migrate dialogues inconsistent
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.5.4
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-3.6.1
: 3.6.1
Assigned To: Daniel Erez
Elad
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-19 14:46 EDT by Markus Stockhausen
Modified: 2016-03-10 10:22 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 07:23:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: ovirt‑3.6.z?
ylavi: ovirt‑4.0.0?
ylavi: planning_ack?
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 46428 master MERGED webadmin: disks main-tab - warning on live migrate disks Never
oVirt gerrit 47016 ovirt-engine-3.6 MERGED webadmin: disks main-tab - warning on live migrate disks Never

  None (edit)
Description Markus Stockhausen 2015-09-19 14:46:34 EDT
Description of problem:

There exit 2 ways of migration VM disk images between storage domains. They behave differently if executed for a disk of a running VM.


Version-Release number of selected component (if applicable):

Ovirt 3.5.4

How reproducible:

100%

Steps to Reproduce:
1. Panel VM -> choose (running) VM -> Disks -> move disk 
1. Result: Panel gives warning about running VM

2. Panel disks -> choose disk of (running) VM -> move disk
2. Result: Panel gives NO warnung about running VM

Expected results:

Dialogues should behave the same.
Comment 1 Elad 2015-12-09 05:00:04 EST
'Move' dialogue behaves the same for a running VM from the Disks main tab and from the Disks sub tab for the VM. In both dialogues the following warning is shown:

" Moving the following disk(s) while the VM is running: vm-1_Disk1 "


Verified using:
rhevm-3.6.1.1-0.1.el6.noarch
rhevm-webadmin-portal-3.6.1.1-0.1.el6.noarch
Comment 2 Sandro Bonazzola 2015-12-16 07:23:15 EST
According to verification status and target milestone this issue should be fixed in oVirt 3.6.1. Closing current release.

Note You need to log in before you can comment on or make changes to this bug.